
datablock ItemData(gc_BallisticHelmetItem) {
	uiName = "Ballistic Helmet";
	iconName = "./icon_BallisticHelmet";
	image = gc_BallisticHelmetImage;
	category = "Tools";
	className = "Weapon";
	shapeFile = "./BallisticHelmet.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0;
	friction = 0.6;
	emap = true;
	doColorShift = true;
	colorShiftColor = "1 1 1 1";
	canDrop = true;
};

datablock shapeBaseImageData(gc_BallisticHelmetImage) {
	shapeFile = "./BallisticHelmet.dts";
	emap = true;
	mountPoint = 0;
	className = "WeaponImage";
	item = gc_BallisticHelmetItem;
	melee = false;
	doReaction = false;
	armReady = false;
	doColorShift = true;
	colorShiftColor = "1 1 1 1";

	stateName[0] = "Activate";
	stateTimeoutValue[0] = 0.1;
	stateTransitionOnTimeout[0] = "Ready";
	stateSound[0] = weaponSwitchSound;

	stateName[1] = "Ready";
	stateTransitionOnTriggerDown[1] = "Fire";
	stateAllowImageChange[1] = true;

	stateName[2] = "Fire";
	stateTransitionOnTriggerUp[2] = "Ready";
	stateFire[2] = true;
	stateAllowImageChange[2] = true;
	stateScript[2] = "onFire";
	stateSound[2] = CombatGear_Equip;
};

datablock ShapeBaseImageData(gc_BallisticHelmetMountedImage) {
	shapeFile = "./BallisticHelmet.dts";
	emap = true;
	mountPoint = $HeadSlot;
	offset = "0 0 -0.015";
	eyeOffset = "0 0 10";
	rotation = eulerToMatrix("0 0 0");
	scale = "1 1 1";
	correctMuzzleVector = true;
	doColorShift = false;
	colorShiftColor = "1 1 1 1";

	isGCArmor = 1; //Custom property

	stateName[0] = "Activate";
	stateTimeoutValue[0] = 0.1;
	stateTransitionOnTimeout[0] = "Idle";

	stateName[1] = "Idle";
	stateAllowImageChange[1] = true;
};

function gc_BallisticHelmetImage::onFire(%image, %player, %slot) {
	%client = %player.client;
	if(isObject(%player)) {
		if(%player.getMountedImage(2) $= nametoID(gc_BallisticHelmetMountedImage))
			%player.unmountImage(2);
		else {
			%player.unmountImage(2);
			%player.mountImage(gc_BallisticHelmetMountedImage, 2);
		}
	}
}

function gc_BallisticHelmetMountedImage::onMount(%image, %player, %slot) {
	//Hide all hat and accent nodes
	for(%i=0; $hat[%i] !$= ""; %i++)
		%player.hideNode($hat[%i]);

	for(%i=0; $accent[%i] !$= ""; %i++)
		%player.hideNode($accent[%i]);
}

function gc_BallisticHelmetMountedImage::onUnmount(%image, %player, %slot) {
	if(isObject(%client = %player.client)) {
		%client.schedule(100, applyBodyParts);
		%client.schedule(100, applyBodyColors);
	}
}




datablock ItemData(gc_TacticalHelmetItem) {
	uiName = "Tactical Helmet";
	iconName = "./icon_TacticalHelmet";
	image = gc_TacticalHelmetImage;
	category = "Tools";
	className = "Weapon";
	shapeFile = "./TacticalHelmet.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0;
	friction = 0.6;
	emap = true;
	doColorShift = true;
	colorShiftColor = "1 1 1 1";
	canDrop = true;
};

datablock shapeBaseImageData(gc_TacticalHelmetImage) {
	shapeFile = "./TacticalHelmet.dts";
	emap = true;
	mountPoint = 0;
	className = "WeaponImage";
	item = gc_TacticalHelmetItem;
	melee = false;
	doReaction = false;
	armReady = false;
	doColorShift = true;
	colorShiftColor = "1 1 1 1";

	stateName[0] = "Activate";
	stateTimeoutValue[0] = 0.1;
	stateTransitionOnTimeout[0] = "Ready";
	stateSound[0] = weaponSwitchSound;

	stateName[1] = "Ready";
	stateTransitionOnTriggerDown[1] = "Fire";
	stateAllowImageChange[1] = true;

	stateName[2] = "Fire";
	stateTransitionOnTriggerUp[2] = "Ready";
	stateFire[2] = true;
	stateAllowImageChange[2] = true;
	stateScript[2] = "onFire";
	stateSound[2] = CombatGear_Equip;
};

datablock ShapeBaseImageData(gc_TacticalHelmetMountedImage) {
	shapeFile = "./TacticalHelmet.dts";
	emap = true;
	mountPoint = $HeadSlot;
	offset = "0 0 -0.015";
	eyeOffset = "0 0 10";
	rotation = eulerToMatrix("0 0 0");
	scale = "1 1 1";
	correctMuzzleVector = true;
	doColorShift = false;
	colorShiftColor = "1 1 1 1";

	isGCArmor = 1; //Custom property

	stateName[0] = "Activate";
	stateTimeoutValue[0] = 0.1;
	stateTransitionOnTimeout[0] = "Idle";

	stateName[1] = "Idle";
	stateAllowImageChange[1] = true;
};

function gc_TacticalHelmetImage::onFire(%image, %player, %slot) {
	%client = %player.client;
	if(isObject(%player)) {
		if(%player.getMountedImage(2) $= nametoID(gc_TacticalHelmetMountedImage))
			%player.unmountImage(2);
		else {
			%player.unmountImage(2);
			%player.mountImage(gc_TacticalHelmetMountedImage, 2);
		}
	}
}

function gc_TacticalHelmetMountedImage::onMount(%image, %player, %slot) {
	//Hide all hat and accent nodes
	for(%i=0; $hat[%i] !$= ""; %i++)
		%player.hideNode($hat[%i]);

	for(%i=0; $accent[%i] !$= ""; %i++)
		%player.hideNode($accent[%i]);
}

function gc_TacticalHelmetMountedImage::onUnmount(%image, %player, %slot) {
	if(isObject(%client = %player.client)) {
		%client.schedule(100, applyBodyParts);
		%client.schedule(100, applyBodyColors);
	}
}








