
datablock ItemData(gc_BallisticVestItem) {
	uiName = "Ballistic Vest";
	iconName = "./icon_BallisticVest";
	image = gc_BallisticVestImage;
	category = "Tools";
	className = "Weapon";
	shapeFile = "./BallisticVest.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0;
	friction = 0.6;
	emap = true;
	doColorShift = true;
	colorShiftColor = "1 1 1 1";
	canDrop = true;
};

datablock shapeBaseImageData(gc_BallisticVestImage) {
	shapeFile = "./BallisticVest.dts";
	emap = true;
	mountPoint = 0;
	className = "WeaponImage";
	item = gc_BallisticVestItem;
	melee = false;
	doReaction = false;
	armReady = false;
	doColorShift = true;
	colorShiftColor = "1 1 1 1";

	stateName[0] = "Activate";
	stateTimeoutValue[0] = 0.1;
	stateTransitionOnTimeout[0] = "Ready";
	stateSound[0] = weaponSwitchSound;

	stateName[1] = "Ready";
	stateTransitionOnTriggerDown[1] = "Fire";
	stateAllowImageChange[1] = true;

	stateName[2] = "Fire";
	stateTransitionOnTriggerUp[2] = "Ready";
	stateFire[2] = true;
	stateAllowImageChange[2] = true;
	stateScript[2] = "onFire";
	stateSound[2] = CombatGear_Equip;
};

datablock ShapeBaseImageData(gc_BallisticVestMountedImage) {
	shapeFile = "./BallisticVest.dts";
	emap = true;
	mountPoint = $HipSlot;
	offset = "0 0.03 0.63";
	eyeOffset = "0 0 10";
	rotation = eulerToMatrix("0 0 0");
	scale = "1 1 1";
	correctMuzzleVector = true;
	doColorShift = false;
	colorShiftColor = "1 1 1 1";

	isGCArmor = 1; //Custom property

	stateName[0] = "Activate";
	stateTimeoutValue[0] = 0.1;
	stateTransitionOnTimeout[0] = "Idle";

	stateName[1] = "Idle";
	stateAllowImageChange[1] = true;
};

function gc_BallisticVestImage::onFire(%image, %player, %slot) {
	%client = %player.client;
	if(isObject(%player)) {
		if(%player.getMountedImage(3) $= nametoID(gc_BallisticVestMountedImage))
			%player.unmountImage(3);
		else {
			%player.unmountImage(3);
			%player.mountImage(gc_BallisticVestMountedImage, 3);
		}
	}
}

function gc_BallisticVestMountedImage::onMount(%image, %player, %slot) {
	%player.hideNode("armor");
}

function gc_BallisticVestMountedImage::onUnmount(%image, %player, %slot) {
	if(isObject(%client = %player.client)) {
		%client.schedule(100, applyBodyParts);
		%client.schedule(100, applyBodyColors);
	}
}








datablock ItemData(gc_TacticalVestItem) {
	uiName = "Tactical Vest";
	iconName = "./icon_TacticalVest";
	image = gc_TacticalVestImage;
	category = "Tools";
	className = "Weapon";
	shapeFile = "./TacticalVest.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0;
	friction = 0.6;
	emap = true;
	doColorShift = true;
	colorShiftColor = "1 1 1 1";
	canDrop = true;
};

datablock shapeBaseImageData(gc_TacticalVestImage) {
	shapeFile = "./TacticalVest.dts";
	emap = true;
	mountPoint = 0;
	className = "WeaponImage";
	item = gc_TacticalVestItem;
	melee = false;
	doReaction = false;
	armReady = false;
	doColorShift = true;
	colorShiftColor = "1 1 1 1";

	stateName[0] = "Activate";
	stateTimeoutValue[0] = 0.1;
	stateTransitionOnTimeout[0] = "Ready";
	stateSound[0] = weaponSwitchSound;

	stateName[1] = "Ready";
	stateTransitionOnTriggerDown[1] = "Fire";
	stateAllowImageChange[1] = true;

	stateName[2] = "Fire";
	stateTransitionOnTriggerUp[2] = "Ready";
	stateFire[2] = true;
	stateAllowImageChange[2] = true;
	stateScript[2] = "onFire";
	stateSound[2] = CombatGear_Equip;
};

datablock ShapeBaseImageData(gc_TacticalVestMountedImage) {
	shapeFile = "./TacticalVest.dts";
	emap = true;
	mountPoint = $HipSlot;
	offset = "0 0.03 0.63";
	eyeOffset = "0 0 10";
	rotation = eulerToMatrix("0 0 0");
	scale = "1 1 1";
	correctMuzzleVector = true;
	doColorShift = false;
	colorShiftColor = "1 1 1 1";

	isGCArmor = 1; //Custom property

	stateName[0] = "Activate";
	stateTimeoutValue[0] = 0.1;
	stateTransitionOnTimeout[0] = "Idle";

	stateName[1] = "Idle";
	stateAllowImageChange[1] = true;
};

function gc_TacticalVestImage::onFire(%image, %player, %slot) {
	%client = %player.client;
	if(isObject(%player)) {
		if(%player.getMountedImage(3) $= nametoID(gc_TacticalVestMountedImage))
			%player.unmountImage(3);
		else {
			%player.unmountImage(3);
			%player.mountImage(gc_TacticalVestMountedImage, 3);
		}
	}
}

function gc_TacticalVestMountedImage::onMount(%image, %player, %slot) {
	%player.hideNode("armor");
}

function gc_TacticalVestMountedImage::onUnmount(%image, %player, %slot) {
	if(isObject(%client = %player.client)) {
		%client.schedule(100, applyBodyParts);
		%client.schedule(100, applyBodyColors);
	}
}